package com.jsowell.pile.service;

import com.jsowell.pile.domain.ClearingWithdrawInfo;
import com.jsowell.pile.vo.web.ClearingBillVO;

import java.util.List;
public interface ClearingWithdrawInfoService{


    int deleteByPrimaryKey(Integer id);

    int insert(ClearingWithdrawInfo record);

    int insertOrUpdate(ClearingWithdrawInfo record);

    int insertOrUpdateSelective(ClearingWithdrawInfo record);

    int insertSelective(ClearingWithdrawInfo record);

    ClearingWithdrawInfo selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(ClearingWithdrawInfo record);

    int updateByPrimaryKey(ClearingWithdrawInfo record);

    int updateBatch(List<ClearingWithdrawInfo> list);

    int batchInsert(List<ClearingWithdrawInfo> list);

    ClearingWithdrawInfo selectByWithdrawCode(String withdrawCode);

    ClearingBillVO selectWithdrawInfoByOrderCode(String orderCode);

    List<ClearingBillVO> selectWithdrawInfoByOrderCodeList(List<String> orderCodeList);
}
